Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 02 Sep 2014, 00:32
All times are UTC - 4
 Forum index » Advanced Topics » Hardware » Video
installing AMD driver
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [2 Posts]  
Author Message
xmf-149

Joined: 02 Aug 2013
Posts: 17

PostPosted: Sun 04 Aug 2013, 08:26    Post subject:  installing AMD driver  

panzerpuppy wrote:
I'm having problems installing the latest proprietary ATI driver (Catalyst 10.4) in Quirky 1.0.

I loaded both the DEVX and Kernel Source (2.6.33.2-patched) .sfs files, put the driver in / and ran the installer.

When it gets to compiling the kernel module, the installer exits quickly and leaves this post-install log file in /usr/share/ati :

(fglrx-install.log)
Code:
Unloading radeon module...
Unloading drm module...
[Message] Kernel Module : Trying to install a precompiled kernel module.
[Message] Kernel Module : Precompiled kernel module version mismatched.
[Message] Kernel Module : Found kernel module build environment, generating kernel module now.
AMD kernel module generator version 2.1
Error:
kernel includes at /lib/modules/2.6.33.2/build/include do not match current kernel.
they are versioned as ""
instead of "2.6.33.2".
you might need to adjust your symlinks:
- /usr/include
- /usr/src/linux
[Error] Kernel Module : Failed to compile kernel module - please consult readme.


Can anyone help me to solve this issue?

The Open Source 'radeon' driver works nicely for 2D stuff, but it doesn't support OpenGL, HD/Flash acceleration and power management. I really have no other choice than installing the proprietary driver :(

here is what i did to install the ati driver
1.download installer from amd.com
2.use quickpet to get the devx sfs and the kernel src sfs
3.make sure that /lib/modules/2.6.33.2/build is a symlink to /usr/src/linux-2.6.33.2
4.run the installer. i didnt install Catylst Control Center because u can just use aticonfig
notes: in the drivers tab quickpet has an option for test and for ATI
for my card which is a E-450 APU the test recommended Xorg High
and the ATI option didnt work either
for example the xgamma command had no effect
the installer will build a module for you since there is no matching one bundled
i was running lucid 5.2.8
another note is that even if the installer fails it will still install a driver but it will be noticably slower
step 3 is because /lib/modules/2.6.33.2/build keeps getting replaced by a directory with two links in it i dont know how or why
otherwise it was successful

_________________
Exclamation Exclamation Exclamation
Back to top
View user's profile Send private message 
darkcity


Joined: 23 May 2010
Posts: 2444
Location: near here

PostPosted: Fri 07 Mar 2014, 06:35    Post subject:  

Looks like either its being compiled against the wrong kernel version, or it can't find the correct kernel directory.
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 1 of 1 [2 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Hardware » Video
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0518s ][ Queries: 12 (0.0122s) ][ GZIP on ]